Subject: Re: [PATCH v5] compat: auto-detect if zlib has uncompress2()

From: Junio C Hamano <[email-masked]>
Date: Tue, 25 Jan 2022 10:11:06 -0800

Carlo Arenas <[email-masked]> writes:

> On Mon, Jan 24, 2022 at 12:21 PM Junio C Hamano <[email-masked]> wrote:
>>
>> If the question is "name a compiler that breaks and is *still* in
>> active use", then the answer would be fuzzy (it depends on the
>> definition of "in active use"), but is useful to find out.
>
> `gcc -pedantic -werror` will abort the build (ISO C forbids an empty
> translation unit) because an empty translation unit is not
> syntactically correct code per ISO, as well as clang (ISO C requires a
> translation unit to contain at least one declaration
> [-Wempty-translation-unit]).

Ah, I remember that one, and it cleanly concludes the thread.
Thanks.